Package org.lwjgl.util.jinput

# Class LWJGLEnvironmentPlugin

java.lang.Object
net.java.games.input.ControllerEnvironment
org.lwjgl.util.jinput.LWJGLEnvironmentPlugin

All Implemented Interfaces:
  `net.java.games.util.plugins.Plugin`

public class LWJGLEnvironmentPlugin extends net.java.games.input.ControllerEnvironment implements net.java.games.util.plugins.Plugin

Author:
  elias

## Field Summary

### Fields inherited from class net.java.games.input.ControllerEnvironment

`controllerListeners`

## Constructor Summary

Constructors
Constructor
Description
`LWJGLEnvironmentPlugin()`

## Method Summary

Modifier and Type
Method
Description
`net.java.games.input.Controller[]`
`getControllers()`
`boolean`
`isSupported()`

### Methods inherited from class net.java.games.input.ControllerEnvironment

`addControllerListener, fireControllerAdded, fireControllerRemoved, getDefaultEnvironment, removeControllerListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LWJGLEnvironmentPlugin

public LWJGLEnvironmentPlugin()

## Method Details

### getControllers

public net.java.games.input.Controller[] getControllers()

Specified by:
  `getControllers` in class `net.java.games.input.ControllerEnvironment`

### isSupported

public boolean isSupported()

Specified by:
  `isSupported` in class `net.java.games.input.ControllerEnvironment`